<?php
define("WEBMASTER_EMAIL", 'administrator@fxmail.ru'); // Enter yor e-mail
 
error_reporting (E_ALL); 
 
if(!empty($_POST))
{
$_POST = array_map('trim', $_POST); 
$name = htmlspecialchars($_POST['Имя']);
$email = $_POST['email'];
$message = htmlspecialchars($_POST['Сообщение']);
 
$error = array();
 
 
if(empty($name))
{
$error[] = 'Ваше имя';
}
 
 
if(empty($email))
{
$error[] = 'Ваш e-mail';
}elseif(!filter_var($email, FILTER_VALIDATE_EMAIL))
{ 
$error[] = 'Проверьте e-mail';
}
 
 
if(empty($message) || empty($message{15})) 
{
$error[] = "Напишите свое сообщение больше 15 символов";
}
 
if(empty($error))
{ 
$message = 'Имя ' . $name . '
Email: ' . $email . '
Mssage: ' . $message;
$mail = mail(WEBMASTER_EMAIL, 'VALERA Live', $message,
     "From: ".$name." \r\n"
    ."Reply-To: ".$email."\r\n"
    ."X-Mailer: PHP/" . phpversion());
 
if($mail)
{
echo 'OK';
}
 
}
else
{
echo '<div class="notification_error">'.implode('<br />', $error).'</div>';
}
}